#{extends 'border.html'/}
<div class="container" xmlns="http://www.w3.org/1999/html">
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.PenyediaCtr.index()}">&{'penyedia.label'}</a></li>
				<li><a href="@{penyedia.KontrakCtr.index(pid)}">&{'kontrak.label'}</a></li>
				<li class="active">&{'ubah.label'} &{'kontrak.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>#{alert /}
#{form @penyedia.KontrakCtr.editSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data' , id:'formSubmitKontrak'}

    <div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{saveButton /}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<input type="hidden" name="kontrak.penyedia_id" value="${penyedia_id}"/>
			<input type="hidden" name="kontrak.id" value="${kontrak?.id}"/>
			<input type="hidden" name="type" value="edit"/>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="form-group required">
						<label class="col-md-2 control-label">&{'nomor_kontrak.label'}</label>
						<div class="col-md-9">
							<input required class="form-control" value="${kontrak?.no_kontrak}" name="kontrak.no_kontrak" />
						</div>
					</div>
					<div class="form-group required">
						<label class="col-md-2 control-label">&{'penawaran.label'}</label>
						<div class="col-md-9">
							<input required class="form-control" value="${penawaran?.getStatusPenawaran()}"name="penTemp" readonly="readonly" />
							<input required type="hidden" class="form-control" value="${penawaran?.id}" name="kontrak.penawaran_id" />
						</div>
					</div>
					<div class="form-group required">
						<label class="col-md-2 control-label">&{'penyedia.label'}</label>
						<div class="col-md-9">
							<input required class="form-control" value="${penyedia?.nama_penyedia}" name="nmpenTemp"  readonly="readonly" />
							<input required type="hidden" class="form-control" value="${penyedia?.id}" name="kontrak.penyedia_id" />
						</div>
					</div>
					<div class="form-group required">
						<label class="col-md-2 control-label">&{'komoditas.label'}</label>
						<div class="col-md-9">
							<input required disabled class="form-control" value="${komoditas?.nama_komoditas}" name="namakomoditas" />
							<input required type="hidden" required class="form-control" value="${komoditas?.id}" name="kontrak.komoditas_id" />



*{							<select name="kontrak.komoditas_id" class="form-control">}*
*{								<option>&{'pilih.label'}</option>}*
*{								#{list commodities, as:'komoditas'}}*
*{									<option value="${komoditas.id}" ${komoditas.id == kontrak.komoditas_id ? "selected" : ""}>}*
*{									${komoditas.nama_komoditas}}*
*{									</option>}*
*{								#{/list}}*
*{							</select>}*
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'tanggal_masa_berlaku.label'} &{'kontrak.label'} (&{'mulai.label'})</label>
						<div class="col-md-9">
							<input class="form-control datepicker" value="${kontrak?.getFormattedStartedDate()}" name="kontrak.tgl_masa_berlaku_mulai" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'tanggal_masa_berlaku.label'} &{'kontrak.label'} (&{'akhir.label'})</label>
						<div class="col-md-9">
							<input class="form-control datepicker" value="${kontrak?.getFormattedFinishedDate()}" name="kontrak.tgl_masa_berlaku_selesai" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'apakah_aktif_berjalan.label'}</label>
						<div class="col-md-9">
							<input disabled type="radio" name="kontrak.apakah_berlaku" value="1" ${kontrak?.apakah_berlaku ? "checked" : ""}> &{'ya.label'} </input>
							<input disabled type="radio" name="kontrak.apakah_berlaku" value="0" ${!kontrak?.apakah_berlaku ? "checked" : ""}> &{'tidak.label'} </input>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'deskripsi_singkat.label'} &{'kontrak.label'}</label>
						<div class="col-md-9">
							<textarea class="form-control" name="kontrak.deskripsi" rows="5">${kontrak?.deskripsi}</textarea>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'file_kontrak.label'}</label>
						<div class="col-md-9">
							<p>&{'maksimum.label'} &{'ukuran_file.label'} 10MB: pdf dan zip.</p>
	                        <input type="file" id="fileupload" name="file" />
						</div>
					</div>
	
	                <div id="progress" class="progress" style="display: none;">
	                    <div class="progress-bar progress-bar-success"></div>
	                </div>
	                <div class="form-group required">
	                    <div id="alert-upload" style="margin-top: 10px;"></div>
	                    <label class="col-md-2 control-label">&{'nama_file.label'}</label>
	                    <div class="col-md-9">
							#{if kontrak.dok_id_attachment != null}
	                        <input required id="nama_file" class="form-control" value="${kontrak?.dokumenInfo?.name}" readonly/>
							#{/if}#{else}
							<input required id="nama_file" class="form-control" value="${kontrak?.original_file_name}" readonly/>
							#{/else}
							<input id="file_id" name="file_id" type="hidden"/>

							*{ file_id ini sebenernya adalah penyediakontrak id yang nantinya akan di find kembali,
							sebab upload kontrak mekanismeajax, yang filenya duluan terupload, baru menyusul atribut lain di form ini,
							maka kalo ada pergantian file, alias upload baru ini akan dijadikan new file  }*
	                    </div>
	                </div>
				</div>
			</div>
		</div>
	</div>
#{/form}

</div>

#{set 'moreScripts'}
<script type="text/javascript">

    $(document).on('click', '#fileupload', function(){
        // console.log("upload..");
        $('#fileupload').fileupload({
            url: '@{penyedia.KontrakCtr.upload()}',
            formData: {action: "${action}", id: "${kontrak?.id}"},
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(pdf|zip)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file) {
					$("#nama_file").val(file.name);
					//$("#file_id").val(file.id);//id adalah blob id
					$("#file_id").val(file.blb_id_content);//adalah dalam hal ini id dari penyedia kontrak
                });
                $('#progress').hide();
                $('#alert-upload').hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

</script>
#{/set}


